Skip to main content
POST
/
kyc
/
identifications
/
{scanRef}
/
request-information
Request additional information from client
curl --request POST \
  --url https://ivs.idenfy.com/kyc/identifications/{scanRef}/request-information/ \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lifetime": 86400,
  "questionnaire": "<string>",
  "riskAssessmentProfile": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "additionalStepUploadRequired": true
}
'
{
  "sessionUrl": "<string>",
  "tokenString": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.

Path Parameters

scanRef
string
required

Body

application/json
lifetime
integer
default:86400
write-only
Required range: 0 <= x <= 2592000
questionnaire
string
write-only
Minimum string length: 1
riskAssessmentProfile
string<uuid>
write-only
additionalStepUploadRequired
boolean
write-only

Response

200 - application/json
sessionUrl
string<uri>
required
read-only
tokenString
string
required
read-only